package p2.application.tnotice_userdata;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tnotice.tnotice;

public class tnotice_userdata extends PaoCust {
    public tnotice_userdata(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void init() throws P2Exception {
        super.init();
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tnotice) {
            setValue("tnoticeid", getOwner().getUniqueIDValue(), 11L);
        }
    }
}
